#
# spec file for package octave (Version 3.0.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Summary:        A High Level Programming Language
Name:           octave
Version:        3.2.4
Release:        21.9
License:        GPL v2 or later
Group:          Productivity/Scientific/Math
Url:            http://www.octave.org/
Source:         %{name}-%{version}.tar.bz2
Requires:       gnuplot gcc-fortran texinfo
Recommends:     fftw3 fftw3-devel fftw3-threads fftw3-threads-devel blas
Recommends:     hdf5 octave-devel gcc make
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dejagnu gcc-c++ gcc-fortran gmp-devel gnuplot gperf
BuildRequires:  readline-devel termcap
BuildRequires:  fftw3-devel libcurl-devel pcre-devel zlib-devel
%if %suse_version == 1110 && 0%{?sles_version} != 11
BuildRequires:	hdf5-devel
Recommends:		hdf5-devel
%else
BuildRequires:	libhdf5-devel
Recommends:		libhdf5-devel
%endif
BuildRequires:  bison flex glpk-devel
# openSUSE_10.3 provides a working lapack package where the package
# is not splitted into xxx and xxx-devel
BuildRequires:  texlive-devel texlive-latex
BuildRequires:  blas lapack xorg-x11-libX11-devel

%description
Octave is a high level programming language. It is designed for the
solution of numeric problems. There is a command line interface
supplied.



Authors:
--------
    John W. Eaton <jwe@bevo.che.wisc.edu>
    
    Randlib:
    venier@odin.mdacc.tmc.edu, bwb@odin.mdacc.tmc.edu

%package devel
License:        GPL v2 or later
Summary:        Development files for octave
Group:          Productivity/Scientific/Math
Requires:       %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    John W. Eaton <jwe@bevo.che.wisc.edu>

%prep
%setup -q

%build
export CPPFLAGS="-DH5_USE_16_API"
%configure --libexecdir=%{_libdir}
%{__make}

%install
%makeinstall
# see bnc#557340
%__mkdir_p %{buildroot}/%{_sysconfdir}/ld.so.conf.d
echo %{_libdir}/%{name}-%{version} > %{buildroot}/%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/octave.info.gz

%postun
/sbin/ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/octave.info.gz

%files
%defattr(-,root,root,-)
%doc BUGS COPYING NEWS README ROADMAP PROJECTS SENDING-PATCHES doc/ChangeLog
%doc doc/interpreter/*.pdf doc/liboctave/liboctave.pdf
%doc doc/refcard/refcard-a4.pdf doc/refcard/refcard-legal.pdf
%doc doc/refcard/refcard-legal.pdf
%doc %{_infodir}/*.gz
%doc %{_mandir}/man1/*.gz
%{_bindir}/*
%{_libdir}/octave/
%config %{_sysconfdir}/ld.so.conf.d/%{name}.conf
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/lib*.so.*
%{_datadir}/octave/

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/%{name}-%{version}/lib*.so

%changelog
* Mon Feb 15 2010 pgajdos@suse.cz
- updated to 3.2.4 (see NEWS and ChangeLog)
* Mon Nov 23 2009 pgajdos@suse.cz
- better handling of library path in the specfile [bnc#557340]
* Wed Nov 11 2009 pgajdos@suse.cz
- updated to 3.2.3 (see NEWS and ChangeLog)
- fixed [bnc#552978]
* Thu Aug  6 2009 pgajdos@suse.cz
- updated to 3.2.2
  - bugfix release
* Mon Jun 22 2009 pgajdos@suse.cz
- updated to version 3.2.0 (see NEWS)
* Tue Apr 14 2009 pgajdos@suse.cz
- updated to 3.0.5:
  * last bug-fixing-release
* Thu Mar 19 2009 pgajdos@suse.cz
- removed octave-3.0.3.patch completely [bnc#480571]
* Wed Mar 18 2009 pgajdos@suse.cz
- cstring -> string.h in patch [bnc#480571]
* Thu Feb 26 2009 pgajdos@suse.cz
- added texinfo to the Requires [bnc#285607]
* Mon Jan 26 2009 pgajdos@suse.cz
- added some packages to Recommends [bnc#468395]
* Tue Jan 13 2009 pgajdos@suse.cz
- updated to 3.0.3:
  * next bug-fixing release
* Mon Sep  8 2008 pgajdos@suse.cz
- updated to 3.0.2:
  * next bug-fixing release
* Wed Jul  2 2008 pgajdos@suse.cz
- build againist hdf5 1.8.1 -- using compatibility -DH5_USE_16_API
* Mon Jun 23 2008 pgajdos@suse.cz
- new version 3.0.1:
  * bug-fixing release
* Tue Mar 25 2008 pgajdos@suse.cz
- new version 3.0.0 moved from OBS, project science
  * improved compatibility with Matlab (tm)
  * bugfixes
- newly linked optional libraries: curl, hdf5, glpk
* Mon Nov 19 2007 pgajdos@suse.cz
- %%{_datadir}/octave/site/m/startup/octaverc linked to /etc/octave
  and marked as %%config(noreplace)
- several minor spec file cleanups
* Wed Oct 17 2007 pgajdos@suse.cz
- fixed build with new gcc -- added missing includes
  * missing-includes.patch
* Wed Jul 25 2007 pgajdos@suse.cz
- supressed paralell building which fails at least on some
  architectures
* Wed Jul 11 2007 pgajdos@suse.cz
- updated to 2.9.12 and removed randlib [#279883]
- without-randlib.patch
* Thu Jun 21 2007 pgajdos@suse.cz
- added texinfo to Requires
* Fri May 25 2007 pgajdos@suse.cz
- made subpackage octave-devel
* Sat Apr 21 2007 aj@suse.de
- Use texlive.
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Wed May 24 2006 anicka@suse.cz
- update to 2.1.73
  - bugfix release
* Mon Feb 13 2006 anicka@suse.cz
- require gcc-fortran (fixes #150047)
* Wed Feb  1 2006 anicka@suse.cz
- add -Os to FFLAGS (fixes #136787)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 kukuk@suse.de
- Add gmp-devel to nfb
* Thu Jan  5 2006 anicka@suse.cz
- update to 2.1.72
* Mon Nov 14 2005 anicka@suse.cz
- fix build (gcc 4.1)
* Tue Nov  1 2005 anicka@suse.cz
- fix build (move code around in CMatrix.cc)
* Tue Jun 28 2005 anicka@suse.cz
- update to 2.1.71
* Wed May 11 2005 ro@suse.de
- fix build with gcc4
* Mon Apr 18 2005 mcihar@suse.de
- GNU Fortran 77 compiler now requires gmp, let's add it
- still doesn't compile, because GCC: TODO: Functions with alternate entry points
* Tue Dec 21 2004 mcihar@suse.cz
- update to 2.1.64
- do not include info pages, as they are out of date
- string patching was not needed for long time, so drop the patch
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Wed Aug  4 2004 mcihar@suse.cz
- update to 2.1.57
* Fri Mar  5 2004 mcihar@suse.cz
- really compile with -fno-strict-aliasing
- doesn't need f2c at all
* Fri Mar  5 2004 mcihar@suse.cz
- update to 2.1.55
- fix info pages installation
- add some docs
- use -fno-strict-aliasing
* Fri Jan  9 2004 adrian@suse.de
- add %%run_ldconfig
- use RPM_OPT_FLAGS
* Fri Aug 29 2003 mcihar@suse.cz
- info pages should not be executable
* Wed Aug 13 2003 ro@suse.de
- fix info page installation again (thanks to DJurzitza)
* Wed Jul 30 2003 ro@suse.de
- install more info pages
* Thu Jun 26 2003 ro@suse.de
- remove traces of buildroot from installed files
* Wed Jun 11 2003 ltinkl@suse.cz
- updated sources to version 2.1.49
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Mar  3 2003 ro@suse.de
- added info dir entries
* Tue Feb 25 2003 mcihar@suse.cz
- removed -mminimal-toc as it is now part of RPM_OPT_FLAGS for ppc64
- added gnuplot to requires
* Mon Feb 10 2003 mcihar@suse.cz
- used %%install_info macro (fixes bug #23443)
* Wed Feb  5 2003 mcihar@suse.cz
- removed RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc" for ppc64
  (fixes bug #23266)
- updated to 2.1.44
* Fri Nov 22 2002 mcihar@suse.cz
- updated to 2.1.40, mostly only configure and automake fixes, it
  also fixes sstream and some other smaller issues with gcc 3.3
- fixed multiline string
* Tue Aug  6 2002 mcihar@suse.cz
- updated to 2.1.36
* Sat Jun 29 2002 olh@suse.de
- build with -mminimal-toc on ppc64, use RPM_OPT_FLAGS for CFLAGS
* Tue May 21 2002 ro@suse.de
- call suse_update_config also for kpathsea subdir
* Wed May  8 2002 ro@suse.de
- fix for latest gcc-snapshot
* Fri Apr 19 2002 coolo@suse.de
- updating to octave 2.1.35 as octave 2.0.1[67] were hopeless
  with gcc 3.1 (gave up after 2 days of work)
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Fri May  5 2000 bubnikv@suse.cz
- added buildroot
- /usr/execlib/octave moved to /usr/lib/octave according to FHS 2.1
* Mon Feb 21 2000 ro@suse.de
- update to 2.0.16
* Tue Jan 25 2000 ro@suse.de
- update to 2.0.15
- man,info to /usr/share using macro
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 ro@suse.de
- update to 2.0.14
* Thu May 20 1999 ro@suse.de
- use CFLAGS="-D_GNU_SOURCE"
* Mon Nov 23 1998 ro@suse.de
- update to 2.0.13 / builds with glibc
* Wed Oct  7 1998 ro@suse.de
- BETA: added f2c to neededforbuild
* Wed Jan 28 1998 ro@suse.de
- removed libhistory.so & libreadline.so as well and link static
  to these
* Mon Nov 17 1997 bs@suse.de
- removed libhistory.a & libreadline.a from file list.
* Wed Nov 12 1997 ro@suse.de
- minor changes in specfile
  setting host to ARCH-suse-linux
* Mon Nov 10 1997 ro@suse.de
- new version 2.0.9
* Tue Oct  7 1997 ro@suse.de
- prepared spec file
- added README-GCC-2.7.? patches
